<?xml version="1.0" encoding="UTF-8"?>
<packages:packages xmlns:packages="http://www.wpkg.org/packages">

  <package id="texstudio" name="TeXstudio" revision="%version%.1" reboot="false" priority="10">
    <variable name="version" value="4.3.0" />

    <check type="uninstall" condition="versiongreaterorequal" path="TeXstudio.*" value="%version%"/>

    <install cmd='"%WPKGSOFTWARE%\texstudio\texstudio-%VERSION%-win-qt6.exe" /S' />

    <upgrade include='remove' />
    <upgrade include='install' />

    <!-- tidy up legacy versions that use unins000.exe -->
    <remove cmd='"%PROGRAMFILES(x86)%\TeXstudio\unins000.exe" /SP- /VERYSILENT /SUPPRESSMSGBOXES'>
      <condition>
        <check type="file" condition="exists" path="%PROGRAMFILES(x86)%\TeXstudio\unins000.exe" />
      </condition>
    </remove>
    <!-- remove any old 32 bit versions -->
    <remove cmd='%WPKGSOFTWARE%\wpkg\tools\waitforprocess.cmd Un_A.exe' />
    <remove cmd='"%PROGRAMFILES(x86)%\TeXstudio\uninstall.exe" /S'>
      <condition>
        <check type="file" condition="exists" path="%PROGRAMFILES(x86)%\TeXstudio\uninstall.exe" />
      </condition>
    </remove>
    <remove cmd='%WPKGSOFTWARE%\wpkg\tools\waitforprocess.cmd Un_A.exe' />

    <!-- uninstaller for the "current" version. We acknowledge the possibility of two brief
         unnecessary waitforprocess.cmds for the sake of not littering the entire xml
         with repeated <condition>s -->
    <remove cmd='%WPKGSOFTWARE%\wpkg\tools\waitforprocess.cmd Un_A.exe' />
    <remove cmd='"%PROGRAMFILES%\TeXstudio\uninstall.exe" /S'>
      <condition>
        <check type="file" condition="exists" path="%PROGRAMFILES%\TeXstudio\uninstall.exe" />
      </condition>
    </remove>
    <remove cmd='%WPKGSOFTWARE%\wpkg\tools\waitforprocess.cmd Un_A.exe' />

  </package>

</packages:packages>
